
exports.up = function (knex, Promise) {
    return knex.schema.createTable('events_participating_users', function (table) {
        table.increments('id'); //autoincrementing (non-nullable) primary key

        table.integer('mid').notNullable()
            .references('mid').inTable('messages_events')
            .onDelete('CASCADE'); //if event is deleted, also delete from participating_users

        table.string('uid', 128).notNullable()
            .references('uid').inTable('users')
            .onDelete('CASCADE'); // Must refer to a user id
    });
};

exports.down = function (knex, Promise) {
    return knex.schema.dropTable('events_participating_users');
};
