
exports.up = function (knex, Promise) {
    return knex.schema.createTable('requests_group_coauthor_event', function (table) {
        table.integer('rid').primary().notNullable() //(non-nullable) primary key
            .references('rid').inTable('requests')
            .onDelete('CASCADE');
        table.timestamps(true, true); //adds timestamptz-type (a PostgresQL data type) updated_at and created_at columns

        table.text('comment');
        table.string('from', 128).notNullable()
            .references('gid').inTable('groups')
            .onDelete('CASCADE'); //if requesting group is deleted, also delete request
        table.string('to', 128).notNullable()
            .references('gid').inTable('groups')
            .onDelete('CASCADE'); //delete request from database if recipient group is deleted

        table.integer('for_event').notNullable()
            .references('mid').inTable('messages_events')
            .onDelete('CASCADE'); //if event is deleted, also delete request
    });
};

exports.down = function (knex, Promise) {
    return knex.schema.dropTable('requests_group_coauthor_event');
};
